#
# spec file for package SDL_image (Version 1.2.6)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           SDL_image
BuildRequires:  SDL-devel libjpeg-devel libpng-devel libtiff-devel xorg-x11-devel
Url:            http://www.libsdl.org/projects/SDL_image/
Summary:        Simple DirectMedia Layer--Sample Image Loading Library
Version:        1.2.6
Release:        84
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-gif-overflow.patch
Patch1:         %{name}-%{version}-lbm-overflow.patch
License:        LGPL v2.1 or later
Group:          System/Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a simple library to load images of various formats as SDL
surfaces. This library supports BMP, PPM, PCX, GIF, JPEG, PNG, and TIFF
formats.



Authors:
--------
    Sam Lantinga <slouken@devolution.com>

%package devel
License:        LGPL v2.1 or later
Summary:        Libraries, includes and more to develop SDL_image applications
Group:          Development/Libraries/X11
Requires:       %{name} = %{version} SDL-devel libjpeg-devel libpng-devel libtiff-devel libstdc++-devel gcc gpm

%description devel
This is a simple library to load images of various formats as SDL
surfaces. This library supports BMP, PPM, PCX, GIF, JPEG, PNG, and TIFF
formats.



Authors:
--------
    Sam Lantinga <slouken@devolution.com>

%prep
%setup -q
%patch0
%patch1

%build
%{?suse_update_config:%{suse_update_config -f }}
%configure
make %{?jobs:-j %jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES COPYING
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*a
%{_includedir}/SDL
%{_libdir}/lib*.so

%changelog
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Tue Jan 29 2008 prusnak@suse.cz
- fix buffer overflow in LBM code (lbm-overflow.patch) [#355864]
* Fri Jan 25 2008 prusnak@suse.cz
- fix buffer overflow in GIF code (gif-overflow.patch) [#355864]
* Sun Dec 16 2007 sndirsch@suse.de
- fixed BuildRequires for SUSE < 10.2
* Wed Jul 25 2007 prusnak@suse.cz
- updated to 1.2.6
  * PNG and TIFF images are correctly identified even if dynamic
  libraries to load them aren't available
  * fixed loading of TIFF images using libtiff
  * fixed static linking with libjpeg
  * fixed crash in IMG_ReadXPMFromArray()
- dropped obsolete patch:
  * xcfinc.diff (included in update)
* Sun Jul 22 2007 aj@suse.de
- Cleanup build requires.
* Fri Mar 02 2007 prusnak@suse.cz
- cleaned specfile
* Wed Nov 08 2006 prusnak@suse.cz
- increment moved outside of assignement [#218752]
* Fri Sep 29 2006 schwab@suse.de
- Require libtiff-devel for SDL_image-devel.
* Tue Sep 12 2006 nadvornik@suse.cz
- updated to 1.2.5:
  * Added support for dynamically loading libjpeg, libpng, and libtiff.
  * Added gcc-fat.sh for generating Universal binaries on Mac OS X
  * Added support for XV thumbnail images
  * Added support for 32-bit BMP files with alpha
- fixed requires of devel subpackage [#192736]
* Fri Mar 10 2006 bk@suse.de
- SDL_image-devel: add libstdc++, gcc and gpm to Requires (.la check)
* Mon Jan 30 2006 coolo@suse.de
- fixing BuildRequires to include png support
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jul 19 2005 nadvornik@suse.cz
- updated to 1.2.4
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Fri Jul 25 2003 nadvornik@suse.cz
- update to 1.2.3
* Wed Jul 03 2002 nadvornik@suse.cz
- updated to 1.2.2
* Tue Jun 11 2002 meissner@suse.de
- regenerate auto files, removed acinclude.m4 (which only contains
  SDL.m4 and libtool.m4).
* Fri May 10 2002 ro@suse.de
- libdir fixed
* Fri Feb 01 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Jan 22 2002 ro@suse.de
- changed neededforbuild <kdelibs-artsd> to <kdelibs3-artsd>
* Tue Jan 08 2002 nadvornik@suse.cz
- updated to 1.2.1:
    - added LBM format
    - fixed transparent GIF and PNG
* Wed Aug 08 2001 uli@suse.de
- fixed neededforbuild wrt SDL renaming
* Wed Jun 20 2001 nadvornik@suse.cz
- added kdelibs and kdelibs-devel to neededforbuild
* Thu Apr 12 2001 nadvornik@suse.cz
- update to 1.2.0
* Mon Mar 26 2001 ro@suse.de
- changed neededforbuild <sdl> to <sdl sdl-devel>
* Mon Feb 19 2001 uli@suse.de
- added alsa* to neededforbuild (needed by new SDL)
* Tue Dec 05 2000 nadvornik@suse.cz
- added suse_update_config
* Tue Nov 28 2000 nadvornik@suse.cz
- new package
